> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chartbrew.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all dashboards

> Get all dashboards for a team



## OpenAPI

````yaml GET /project/team/{team_id}
openapi: 3.0.1
info:
  title: Chartbrew API reference
  description: The OpenAPI specification for Chartbrew
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.chartbrew.com
security:
  - bearerAuth: []
paths:
  /project/team/{team_id}:
    get:
      description: Get all dashboards for a team
      parameters:
        - name: team_id
          in: path
          description: ID of the team
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Array of dashboards
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DashboardItem'
        '400':
          description: Error response
        '401':
          description: Not authorized
      security:
        - bearerAuth: []
components:
  schemas:
    DashboardItem:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        dashboardTitle:
          type: string
        description:
          type: string
        team_id:
          type: integer
        brewName:
          type: string
        backgroundColor:
          type: string
        titleColor:
          type: string
        headerCode:
          type: string
        footerCode:
          type: string
        public:
          type: boolean
          default: false
        password:
          type: string
        autoUpdate:
          type: object
          properties:
            enabled:
              type: boolean
              default: false
            type:
              type: string
              enum:
                - every_x_minutes
                - every_x_hours
                - every_x_days
                - daily
                - weekly
            frequencyNumber:
              type: string
              example: '1'
            time:
              type: object
              properties:
                hour:
                  type: integer
                  example: 9
                minute:
                  type: integer
                  example: 0
                second:
                  type: integer
                  example: 0
                millisecond:
                  type: integer
                  example: 0
        lastUpdatedAt:
          type: string
          format: date-time
        Charts:
          type: array
          items:
            type: object
            properties:
              id:
                type: integer
              layout:
                type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````